=== debian/changelog ===
indi-weewx-json (1.0-3) unstable; urgency=medium

  * debian/control: move package to the debian-astro team

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 07 Oct 2025 11:38:00 +0200

indi-weewx-json (1.0-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113038)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:40:34 +0200

indi-weewx-json (1.0-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 27 Dec 2022 09:24:11 +0000
