=== debian/control ===
Source: indi-weewx-json
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libcfitsio-dev
	, libindi-dev
	, zlib1g-dev
	, libcurl4-gnutls-dev
Standards-Version: 4.6.1
Homepage: https://github.com/indilib/indi-3rdparty
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-weewx-json
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-weewx-json.git
Rules-Requires-Root: no

Package: indi-weewx-json
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for the WeeWX Weather Station
 This driver uses the WeeWX JSON plugin to provide weather data to INDI.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
